################################################################################ 
## RECIPE DESCRIPTION  
################################################################################ 

Description:
  Author: An-Chi Ho
  Info: Test Visualization module to handle var is all NA

################################################################################
## ANALYSIS CONFIGURATION
################################################################################

Analysis:
  Horizon: Seasonal
  Variables:
    name: tas
    freq: monthly_mean
  Datasets:
    System:
      name: [ECMWF-SEAS5]
    Multimodel: no
    Reference:
      name: ERA5
  Time:
    sdate:
      - '1101'
    fcst_year: '2020'
    hcst_start: '2014'
    hcst_end: '2016'
    ftime_min: 1
    ftime_max: 2
  Region:
    latmin: 0
    latmax: 3
    lonmin: 0
    lonmax: 2
  Regrid:
    method: bilinear
    type: 'r180x90'
  Workflow:
    Anomalies:
      compute: no
      cross_validation: no
      save: 'none'
    Calibration:
      method: raw
      save: 'none'
    Skill:
      metric: RPSS, CRPSS
      save: 'none'
    Probabilities:
      percentiles: [[1/3, 2/3], [1/10, 9/10], [1/4, 2/4, 3/4]]
      save: 'none'
    Visualization:
      plots: forecast_ensemble_mean
      multi_panel: no
      projection: cylindrical_equidistant
    Indicators:
      index: no
  ncores: 8
  remove_NAs: yes
  Output_format: S2S4E

################################################################################
## Run CONFIGURATION
################################################################################
Run:
  Loglevel: INFO
  Terminal: yes
  filesystem: esarchive
  output_dir: /esarchive/scratch/aho/tmp/auto-s2s_outputs
  code_dir: /esarchive/scratch/aho/git/auto-s2s/
  autosubmit: no
  # fill only if using autosubmit
  auto_conf:
    script: /esarchive/scratch/vagudets/repos/auto-s2s/example_scripts/test_parallel_workflow.R
    expid:  # autosubmit experiment ID
    hpc_user: bsc32762 # your hpc username
    wallclock: 04:00 # hh:mm
    processors_per_job: 8 # use ncores parameter?
    platform: nord3v2 # make this constant?
    email_notifications: yes # enable/disable email notifications
    email_address: victoria.agudetse@bsc.es # email address for notifications
    notify_completed: no # notify me by email when a job finishes
    notify_failed: yes # notify me by email when a job fails
